Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Interface Restriction

All Superinterfaces:
  FrontsNode, OntClass, OntResource, RDFNode, Resource

All Known Subinterfaces:
  AllValuesFromRestriction, CardinalityQRestriction, CardinalityRestriction, HasValueRestriction, MaxCardinalityQRestriction, MaxCardinalityRestriction, MinCardinalityQRestriction, MinCardinalityRestriction, QualifiedRestriction, SomeValuesFromRestriction

    public interface Restriction

extends OntClass

Interface that encapsulates a class description formed by restricting one or more properties to have constrained values and/or cardinalities.

Version:
  CVS $Id: Restriction.java,v 1.14 2008/01/02 12:06:42 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Method Summary
`AllValuesFromRestriction` | `asAllValuesFromRestriction()` Answer a view of this restriction as an all values from expression
`CardinalityRestriction` | `asCardinalityRestriction()` Answer a view of this restriction as a cardinality restriction class expression
`HasValueRestriction` | `asHasValueRestriction()` Answer a view of this restriction as a has value expression
`MaxCardinalityRestriction` | `asMaxCardinalityRestriction()` Answer a view of this restriction as a max cardinality restriction class expression
`MinCardinalityRestriction` | `asMinCardinalityRestriction()` Answer a view of this restriction as a min cardinality restriction class expression
`SomeValuesFromRestriction` | `asSomeValuesFromRestriction()` Answer a view of this restriction as a some values from expression
`AllValuesFromRestriction` | `convertToAllValuesFromRestriction(Resource cls)` Convert this restriction to an all values from class expression.
`CardinalityRestriction` | `convertToCardinalityRestriction(int cardinality)` Convert this restriction to a cardinality restriction class expression
`HasValueRestriction` | `convertToHasValueRestriction(RDFNode value)` Convert this restriction to a has value class expression
`MaxCardinalityRestriction` | `convertToMaxCardinalityRestriction(int cardinality)` Convert this restriction to a max cardinality restriction class expression
`MinCardinalityRestriction` | `convertToMinCardinalityRestriction(int cardinality)` Convert this restriction to a min cardinality restriction class expression
`SomeValuesFromRestriction` | `convertToSomeValuesFromRestriction(Resource cls)` Convert this restriction to a some values from class expression
`OntProperty` | `getOnProperty()` Answer the property that this property restriction applies to.
`boolean` | `isAllValuesFromRestriction()` Answer true if this restriction is an all values from restriction
`boolean` | `isCardinalityRestriction()` Answer true if this restriction is a cardinality restriction (ie is a property restriction constructed with an `owl:cardinality` operator, or similar).
`boolean` | `isHasValueRestriction()` Answer true if this restriction is a has value restriction
`boolean` | `isMaxCardinalityRestriction()` Answer true if this restriction is a max cardinality restriction (ie is a property restriction constructed with an `owl:maxCardinality` operator, or similar).
`boolean` | `isMinCardinalityRestriction()` Answer true if this restriction is a min cardinality restriction (ie is a property restriction constructed with an `owl:minCardinality` operator, or similar).
`boolean` | `isSomeValuesFromRestriction()` Answer true if this restriction is a some values from restriction
`boolean` | `onProperty(Property prop)` Answer true if this restriction is a property restriction on the given property.
`void` | `removeOnProperty(Property prop)` Remove the given property as the property that this restriction applies to.
`void` | `setOnProperty(Property prop)` Assert that the property that this restriction applies to is the given property.

Methods inherited from interface com.hp.hpl.jena.ontology.OntClass
`addDisjointWith, addEquivalentClass, addSubClass, addSuperClass, asComplementClass, asEnumeratedClass, asIntersectionClass, asRestriction, asUnionClass, convertToComplementClass, convertToEnumeratedClass, convertToIntersectionClass, convertToRestriction, convertToUnionClass, createIndividual, createIndividual, dropIndividual, getDisjointWith, getEquivalentClass, getSubClass, getSuperClass, hasDeclaredProperty, hasEquivalentClass, hasSubClass, hasSubClass, hasSubClass, hasSuperClass, hasSuperClass, hasSuperClass, isComplementClass, isDisjointWith, isEnumeratedClass, isHierarchyRoot, isIntersectionClass, isRestriction, isUnionClass, listDeclaredProperties, listDeclaredProperties, listDisjointWith, listEquivalentClasses, listInstances, listInstances, listSubClasses, listSubClasses, listSuperClasses, listSuperClasses, removeDisjointWith, removeEquivalentClass, removeSubClass, removeSuperClass, setDisjointWith, setEquivalentClass, setSubClass, setSuperClass`

Methods inherited from interface com.hp.hpl.jena.ontology.OntResource
`addComment, addComment, addDifferentFrom, addIsDefinedBy, addLabel, addLabel, addRDFType, addSameAs, addSeeAlso, addVersionInfo, asAllDifferent, asAnnotationProperty, asClass, asDataRange, asDatatypeProperty, asIndividual, asObjectProperty, asOntology, asProperty, getCardinality, getComment, getDifferentFrom, getIsDefinedBy, getLabel, getOntModel, getProfile, getPropertyValue, getRDFType, getRDFType, getSameAs, getSeeAlso, getVersionInfo, hasComment, hasComment, hasLabel, hasLabel, hasRDFType, hasRDFType, hasRDFType, hasSeeAlso, hasVersionInfo, isAllDifferent, isAnnotationProperty, isClass, isDataRange, isDatatypeProperty, isDefinedBy, isDifferentFrom, isIndividual, isObjectProperty, isOntLanguageTerm, isOntology, isProperty, isSameAs, listComments, listDifferentFrom, listIsDefinedBy, listLabels, listPropertyValues, listRDFTypes, listSameAs, listSeeAlso, listVersionInfo, remove, removeComment, removeComment, removeDefinedBy, removeDifferentFrom, removeLabel, removeLabel, removeProperty, removeRDFType, removeSameAs, removeSeeAlso, removeVersionInfo, setComment, setDifferentFrom, setIsDefinedBy, setLabel, setPropertyValue, setRDFType, setSameAs, setSeeAlso, setVersionInfo`

Methods inherited from interface com.hp.hpl.jena.rdf.model.Resource
`abort, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addProperty, addProperty, addProperty, addProperty, begin, commit, equals, getId, getLocalName, getModel, getNameSpace, getNode, getProperty, getRequiredProperty, getURI, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasProperty, hasProperty, hasProperty, hasProperty, hasURI, listProperties, listProperties, removeAll, removeProperties, toString`

Methods inherited from interface com.hp.hpl.jena.rdf.model.RDFNode
`as, canAs, inModel, isAnon, isLiteral, isResource, isURIResource, visitWith`

Methods inherited from interface com.hp.hpl.jena.graph.FrontsNode
`asNode`

Method Detail

### setOnProperty

    void setOnProperty(Property prop)

  Assert that the property that this restriction applies to is the given property. Any existing statements for `onProperty` will be removed.

  Parameters:
    `prop` - The property that this restriction applies to
  Throws:
    `OntProfileException` - If the `Profile.ON_PROPERTY()` property is not supported in the current language profile.

### getOnProperty

    OntProperty getOnProperty()

  Answer the property that this property restriction applies to. If there is more than one such resource, an arbitrary selection is made (though well-defined property restrictions should not have more than one `onProperty` statement.

  Returns:
    The property that this property restriction applies to
  Throws:
    `OntProfileException` - If the `Profile.ON_PROPERTY()` property is not supported in the current language profile.

### onProperty

    boolean onProperty(Property prop)

  Answer true if this restriction is a property restriction on the given property.

  Parameters:
    `prop` - A property to test against
  Returns:
    True if this restriction is a restriction on `prop`
  Throws:
    `OntProfileException` - If the `Profile.ON_PROPERTY()` property is not supported in the current language profile.

### removeOnProperty

    void removeOnProperty(Property prop)

  Remove the given property as the property that this restriction applies to. If this statement is not true of the current model, nothing happens.

  Parameters:
    `prop` - The property to be removed as a the property that this restriction applies to

### asAllValuesFromRestriction

    AllValuesFromRestriction asAllValuesFromRestriction()

  Answer a view of this restriction as an all values from expression

  Returns:
    This class, but viewed as an AllValuesFromRestriction node
  Throws:
    `ConversionException` - if the class cannot be converted to an all values from restriction given the lanuage profile and the current state of the underlying model.

### asSomeValuesFromRestriction

    SomeValuesFromRestriction asSomeValuesFromRestriction()

  Answer a view of this restriction as a some values from expression

  Returns:
    This class, but viewed as a SomeValuesFromRestriction node
  Throws:
    `ConversionException` - if the class cannot be converted to an all values from restriction given the lanuage profile and the current state of the underlying model.

### asHasValueRestriction

    HasValueRestriction asHasValueRestriction()

  Answer a view of this restriction as a has value expression

  Returns:
    This class, but viewed as a HasValueRestriction node
  Throws:
    `ConversionException` - if the class cannot be converted to a has value restriction given the lanuage profile and the current state of the underlying model.

### asCardinalityRestriction

    CardinalityRestriction asCardinalityRestriction()

  Answer a view of this restriction as a cardinality restriction class expression

  Returns:
    This class, but viewed as a CardinalityRestriction node
  Throws:
    `ConversionException` - if the class cannot be converted to a cardinality restriction given the lanuage profile and the current state of the underlying model.

### asMinCardinalityRestriction

    MinCardinalityRestriction asMinCardinalityRestriction()

  Answer a view of this restriction as a min cardinality restriction class expression

  Returns:
    This class, but viewed as a MinCardinalityRestriction node
  Throws:
    `ConversionException` - if the class cannot be converted to a min cardinality restriction given the lanuage profile and the current state of the underlying model.

### asMaxCardinalityRestriction

    MaxCardinalityRestriction asMaxCardinalityRestriction()

  Answer a view of this restriction as a max cardinality restriction class expression

  Returns:
    This class, but viewed as a MaxCardinalityRestriction node
  Throws:
    `ConversionException` - if the class cannot be converted to a max cardinality restriction given the lanuage profile and the current state of the underlying model.

### isAllValuesFromRestriction

    boolean isAllValuesFromRestriction()

  Answer true if this restriction is an all values from restriction

  Returns:
    True if this is an allValuesFrom property restriction
  Throws:
    `ProfileException` - if `Profile.ALL_VALUES_FROM()` is not supported in the current profile

### isSomeValuesFromRestriction

    boolean isSomeValuesFromRestriction()

  Answer true if this restriction is a some values from restriction

  Returns:
    True if this is a someValuesFrom property restriction
  Throws:
    `ProfileException` - if `Profile.SOME_VALUES_FROM()` is not supported in the current profile

### isHasValueRestriction

    boolean isHasValueRestriction()

  Answer true if this restriction is a has value restriction

  Returns:
    True if this is a hasValue property restriction
  Throws:
    `ProfileException` - if `Profile.HAS_VALUE()` is not supported in the current profile

### isCardinalityRestriction

    boolean isCardinalityRestriction()

  Answer true if this restriction is a cardinality restriction (ie is a property restriction constructed with an `owl:cardinality` operator, or similar). This is not a test for a restriction that tests cardinalities in general.

  Returns:
    True if this is a cardinality property restriction
  Throws:
    `ProfileException` - if `Profile.CARDINALITY()` is not supported in the current profile

### isMinCardinalityRestriction

    boolean isMinCardinalityRestriction()

  Answer true if this restriction is a min cardinality restriction (ie is a property restriction constructed with an `owl:minCardinality` operator, or similar). This is not a test for a restriction that tests cardinalities in general.

  Returns:
    True if this is a minCardinality property restriction
  Throws:
    `ProfileException` - if `Profile.MIN_CARDINALITY()` is not supported in the current profile

### isMaxCardinalityRestriction

    boolean isMaxCardinalityRestriction()

  Answer true if this restriction is a max cardinality restriction (ie is a property restriction constructed with an `owl:maxCardinality` operator, or similar). This is not a test for a restriction that tests cardinalities in general.

  Returns:
    True if this is a maxCardinality property restriction
  Throws:
    `ProfileException` - if `Profile.MAX_CARDINALITY()` is not supported in the current profile

### convertToAllValuesFromRestriction

    AllValuesFromRestriction convertToAllValuesFromRestriction(Resource cls)

  Convert this restriction to an all values from class expression.

  Parameters:
    `cls` - The class to which all values of the restricted property must belong, to be in the extension of this restriction
  Returns:
    This class, but converted to a AllValuesFromRestriction class expression
  Throws:
    `ProfileException` - if `Profile.ALL_VALUES_FROM()` is not supported in the current profile

### convertToSomeValuesFromRestriction

    SomeValuesFromRestriction convertToSomeValuesFromRestriction(Resource cls)

  Convert this restriction to a some values from class expression

  Parameters:
    `cls` - The class to which at least one value of the restricted property must belong, to be in the extension of this restriction
  Returns:
    This class, but converted to a SomeValuesFromRestriction node
  Throws:
    `ProfileException` - if `Profile.SOME_VALUES_FROM()` is not supported in the current profile

### convertToHasValueRestriction

    HasValueRestriction convertToHasValueRestriction(RDFNode value)

  Convert this restriction to a has value class expression

  Parameters:
    `value` - The value which the restricted property must have, for resource to be in the extension of this restriction. Can be a resource or a literal.
  Returns:
    This class, but converted to a HasValueRestriction
  Throws:
    `ProfileException` - if `Profile.HAS_VALUE()` is not supported in the current profile

### convertToCardinalityRestriction

    CardinalityRestriction convertToCardinalityRestriction(int cardinality)

  Convert this restriction to a cardinality restriction class expression

  Parameters:
    `cardinality` - The exact cardinality for the restricted property
  Returns:
    This class, but converted to a CardinalityRestriction node
  Throws:
    `ProfileException` - if `Profile.CARDINALITY()` is not supported in the current profile

### convertToMinCardinalityRestriction

    MinCardinalityRestriction convertToMinCardinalityRestriction(int cardinality)

  Convert this restriction to a min cardinality restriction class expression

  Parameters:
    `cardinality` - The minimum cardinality for the restricted property
  Returns:
    This class, but converted to a MinCardinalityRestriction node
  Throws:
    `ProfileException` - if `Profile.MIN_CARDINALITY()` is not supported in the current profile

### convertToMaxCardinalityRestriction

    MaxCardinalityRestriction convertToMaxCardinalityRestriction(int cardinality)

  Convert this restriction to a max cardinality restriction class expression

  Parameters:
    `cardinality` - The maximum cardinality for the restricted property
  Returns:
    This class, but converted to a MaxCardinalityRestriction node
  Throws:
    `ProfileException` - if `Profile.MAX_CARDINALITY()` is not supported in the current profile

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP